# -*- coding=utf8 -*-
#******************************************************************************
# addon.py
#------------------------------------------------------------------------------
#
# Copyright (c) 2013 LivingOn <LivingOn@xmail.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#******************************************************************************
import sys
import urllib
import xbmc
import xbmcgui
import xbmcaddon
import xbmcplugin

from resources.lib.Movies import Movies
from resources.lib.DailyMotion import DailyMotion

class IjonTichy(object):
    
    PLUGIN_NAME = "plugin.video.ijon-tichy"
    
    _plugin_id      = None
    _addon          = None
    _movies         = Movies()
    
    def __init__(self):
        self._register_addon()
        self._process_request()
        
    def _register_addon(self):
        self._plugin_id = int(sys.argv[1])
        self._addon = xbmcaddon.Addon(id = self.PLUGIN_NAME)

    def _process_request(self):
        if not sys.argv[2]:
            self._create_movie_list()
        else:
            self._play_movie(sys.argv[2])
 
    def _create_movie_list(self):
        for title in self._movies.get_titles():
            self._add_item_to_directory(title, None, True)
        xbmcplugin.endOfDirectory(self._plugin_id)
 
    def _play_movie(self, title):
        title = urllib.unquote(title)[7:]
        url = DailyMotion.get_video_url(self._movies.get_id(title))
        if url:
            listitem = xbmcgui.ListItem(title)
            xbmc.Player(xbmc.PLAYER_CORE_AUTO).play(url, listitem)
        
    def _add_item_to_directory(self, title, url, isfolder=False):
        if isfolder:
            url = sys.argv[0] + "?" + urllib.urlencode({'title' : title})
        item = xbmcgui.ListItem(title)
        xbmcplugin.addDirectoryItem(self._plugin_id, url, item, isfolder)
            
if __name__ == "__main__":
    IjonTichy()
                