# -*- coding=utf8 -*-
#******************************************************************************
# DailyMotion.py
#------------------------------------------------------------------------------
#
# Copyright (c) 2013 LivingOn <LivingOn@xmail.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#******************************************************************************
import json
import urllib

class _Quality(object):
    def __init__(self, value):
        self.value = value

class DailyMotion(object):
    
    _URL_BASE = "http://www.dailymotion.com/sequence"
    
    @classmethod
    def get_video_url(self, movie_id):
        try:
            js = json.load(urllib.urlopen("%s/%s" % (self._URL_BASE, movie_id)))
            url = js["sequence"][0]["layerList"][0]["sequenceList"][2]["layerList"][0]["param"]["externalTargetingParams"]["video_url"]
            url = urllib.unquote(url)
        except Exception:
            url = None
        return url
